#
# spec file for package perl-Test-Output
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Output
Name:           perl-Test-Output
Version:        1.36.0
Release:        1.1
# 1.036 -> normalize -> 1.36.0
%define cpan_version 1.036
License:        Artistic-2.0
Summary:        Utilities to test STDOUT and STDERR messages
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRIANDFOY/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny) >= 0.170
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:  perl(File::Temp) >= 0.17
BuildRequires:  perl(Test::More) >= 1
BuildRequires:  perl(Test::Tester) >= 0.107
BuildRequires:  perl(version) >= 0.86
Requires:       perl(Capture::Tiny) >= 0.170
Requires:       perl(File::Temp) >= 0.17
Provides:       perl(Test::Output) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Test::Output provides a simple interface for testing output sent to
'STDOUT' or 'STDERR'. A number of different utilities are included to try
and be as flexible as possible to the tester.

Likewise, Capture::Tiny provides a much more robust capture mechanism
without than the original Test::Output::Tie.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes SECURITY.md
%license LICENSE

%changelog
* Tue Apr 15 2025 Tina Müller <timueller+perl@suse.de>
- updated to 1.36.0 (1.036)
  see /usr/share/doc/packages/perl-Test-Output/Changes
  1.036 2025-04-14T19:24:32Z
  * require a newer version.pm for v5.10.1 tests
* Sat Jan  4 2025 Tina Müller <timueller+perl@suse.de>
- updated to 1.35.0 (1.035)
  see /usr/share/doc/packages/perl-Test-Output/Changes
  1.035 2025-01-03T06:45:21Z
  * distro refresh and move to BRIANDFOY
* Thu Jul  6 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.034
  see /usr/share/doc/packages/perl-Test-Output/Changes
  1.034 2023-07-05T14:46:18Z
  * Remove unnecessary -T from pod tests. Now that v5.38 allows you
  to compile without taint support and those perls won't run if
  they see a -T, these tests needlessly fail there.
  * Edward Betts corrected some of the docs.
* Thu Feb 11 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.033
  see /usr/share/doc/packages/perl-Test-Output/Changes
  1.033 2021-02-11T00:21:54Z
  * v1.032 had some regressions because I released 1.031 from an
  unmerged branch. https://github.com/briandfoy/test-output/issues/8
  This was noticed by Tina MÃ¼ller in https://github.com/os-autoinst/os-autoinst/pull/1622
  * I didn't realize that I'd released an experiment in 2017, but
  no own complained until it was reverted (by releasing from master).
  The experiment worked I guess? Sub::Exporter is gone, so the
  dependency tree for this is greatly reduced, and now it's gone
  again.
* Fri Jan 29 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.032
  see /usr/share/doc/packages/perl-Test-Output/Changes
* Thu Mar 30 2017 coolo@suse.com
- updated to 1.031
  see /usr/share/doc/packages/perl-Test-Output/Changes
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.03
  * Get rid of MYMETA
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.02
  * Bump to stable release
  * Remove the ::Tie stuff. It should be fully Capture::Tiny
    now.
  * David Golden re-did everything with Capture::Tiny
    to get around the odd output paths that we coudn't
    handle with a tie.
* Tue May 17 2011 coolo@opensuse.org
- updated to 1.01
  * Bump to a full release. This fixes the tests that failed
    in the new 5.14 regex stringification
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 24 2010 chris@computersalat.de
- fix obviously lost changes
  o Sun Jun 14 21:17:23 CEST 2009
  o Sun Jun 21 22:37:55 CEST 2009
* Tue Jul  6 2010 chris@computersalat.de
- update spec by cpanspec 1.78
- noarch pkg
- split pkg version
  o perl-Test-Output_0_12 for suse_version < 1130
* Sun Apr 11 2010 chris@computersalat.de
- update to 0.16
  Multiple fixes:
  * RT #23494: squash warning when untie-ing STDOUT
  * RT #45740: fix Test::Tester prereq version
  * RT #45748: Add a null BINMODE to Test::Output::Tie
- cleanup spec
  o fixed Header
  o updated Url
  o fixed perl-macros deps
  o fixed deps
  o updated description
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- update to 0.13
  * brian d foy (bdfoy@cpan.org) is the new maintainer
  * Updated docs for source code location, license, etc
* Sun Jun 14 2009 chris@computersalat.de
- initial package 0.12
